using System;
using System.Collections.Generic;
using System.Globalization;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace LSFE.MobApp.Converters
{
    public class FilterButtonColorConverter : IValueConverter
    {
        public object Convert(object value, Type targetType, object parameter, CultureInfo culture)
        {
            var selectedFilter = value?.ToString();
            var buttonFilter = parameter?.ToString();

            return selectedFilter == buttonFilter ?
                Color.FromArgb("#20B2AA") :
                Color.FromArgb("#ADB5BD");
        }

        public object ConvertBack(object value, Type targetType, object parameter, CultureInfo culture)
        {
            throw new NotImplementedException();
        }
    }
}
